Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1659611 - ceph ansible rolling upgrade does not restart tcmu-runner and rbd-target-api
Summary: ceph ansible rolling upgrade does not restart tcmu-runner and rbd-target-api
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 2.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 3.3
Assignee: Dimitri Savineau
QA Contact: ymane
URL:
Whiteboard:
Depends On:
Blocks: 1726135
TreeView+ depends on / blocked
 
Reported: 2018-12-14 19:27 UTC by Mike Christie
Modified: 2019-12-02 06:07 UTC (History)
14 users (show)

Fixed In Version: RHEL: ceph-ansible-3.2.16-1.el7cp Ubuntu: ceph-ansible_3.2.16-2redhat1
Doc Type: Bug Fix
Doc Text:
.The `rolling_update.yml` playbook now restarts `tcmu-runner` and `rbd-target-api` Previously, the iSCSI gateway infrastructure playbooks, specifically `rolling_update.yml`, only restarted the `rbd-target-gw` daemon. With this update, the playbook also restarts the `tcmu-runner` and `rbd-target-api` daemons so the updated versions of those daemons are used.
Clone Of:
Environment:
Last Closed: 2019-08-21 15:10:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 3902 0 'None' 'closed' 'rolling_update: restart all ceph-iscsi services' 2019-12-02 05:14:23 UTC
Github ceph ceph-ansible pull 3907 0 'None' 'closed' 'Automatic backport of pull request #3902' 2019-12-02 05:14:22 UTC
Github ceph ceph-ansible pull 3908 0 'None' 'closed' 'Automatic backport of pull request #3902' 2019-12-02 05:14:22 UTC
Github ceph ceph-ansible pull 3954 0 'None' 'closed' 'igw: Fix rolling update service ordering' 2019-12-02 05:14:23 UTC
Red Hat Product Errata RHSA-2019:2538 0 None None None 2019-08-21 15:10:49 UTC

Description Mike Christie 2018-12-14 19:27:18 UTC
Description of problem:

The iscsi gw support in infrastructure-playbooks/rolling_update.yml only restarts rbd-target-gw. It needs to also restart tcmu-runner and rbd-target-api so the updated versions of those daemons are also used.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 5 Mike Christie 2019-05-09 17:56:58 UTC
Hey Dimitry,

We will need the fix here too:

https://github.com/ceph/ceph-ansible/pull/3954

Comment 6 Dimitri Savineau 2019-05-09 18:19:59 UTC
Hi Mike,

I'm saw the PR and it looks good to me. I just need you to update the commit message and we should be good to merge and backport it.

Comment 14 errata-xmlrpc 2019-08-21 15:10:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2538


Note You need to log in before you can comment on or make changes to this bug.